Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 83788 - Unable to Save As (copy) a diagram
Unable to Save As (copy) a diagram
Status: VERIFIED FIXED
Product: uml
Classification: Unclassified
Component: General Diagram
5.x
All Windows XP
: P3 (vote)
: 6.x
Assigned To: Yang Su
issues@uml
EXT-USER
:
Depends on:
Blocks: 75894
  Show dependency treegraph
 
Reported: 2006-08-30 14:18 UTC by jfurmankiewicz
Modified: 2007-03-27 10:48 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jfurmankiewicz 2006-08-30 14:18:43 UTC
I had an activity diagram that I wanted to duplicate.

There is no Save As or Copy/Paste option for diagrams. Unable to perform the
task, would have to re-create the diagram from scratch.

Clicked on Edit->Copy when the diagram was selected in the Projects View. Then
clicked Edit->Paste. I would expect it to create a copy of the diagram with a
name like "Copy of <original diagram name>", but nothing happens. No action.
Comment 1 jfurmankiewicz 2006-08-30 14:23:31 UTC
Also please look at issue 83789:
http://www.netbeans.org/issues/show_bug.cgi?id=83789

Copying diagram items by hand and pasting them into a new diagram does not work
either.

So basically there is no working option to duplicate/save as/copy a diagram in
any way it seems
Comment 2 Yang Su 2007-03-15 22:53:59 UTC
see issue 79771
Comment 3 Andrew Korostelev 2007-03-27 10:48:48 UTC
issue is verified in all-nbms-hydra-070323_3
Main feature works well.
related issues are filed separately.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo